<ng-container *ngIf="logs$ | async; let logs; else loader">
  <ng-container *ngIf="logs.length">
    <table mat-table [dataSource]="logs" class="logs-table">
      <ng-container matColumnDef="dateOfChange">
        <th mat-header-cell *matHeaderCellDef> {{ 'date_of_change' | transloco }} </th>
        <td mat-cell *matCellDef="let log"> <p>{{ log.date }}</p> </td>
      </ng-container>

      <ng-container matColumnDef="typeOfChange">
        <th mat-header-cell *matHeaderCellDef> {{ 'type_of_change' | transloco }} </th>
        <td mat-cell *matCellDef="let log"> <p>{{ log.typeOfChange.name | uppercase }}</p> </td>
      </ng-container>

      <ng-container matColumnDef="author">
        <th mat-header-cell *matHeaderCellDef> {{ 'author_of_change' | transloco }} </th>
        <td mat-cell *matCellDef="let log">
          <p>{{ log.author.lastName }} {{ log.author.firstName }} {{ log.author.patronymic }}</p>
          <p>{{ log.author.email }}</p>
          <p>{{ log.author.role.name | uppercase }}</p>
        </td>
      </ng-container>

      <ng-container matColumnDef="affectedUser">
        <th mat-header-cell *matHeaderCellDef> {{ 'affected_user_of_change' | transloco }} </th>
        <td mat-cell *matCellDef="let log">
          <p>{{ log.affectedUser.lastName }} {{ log.affectedUser.firstName }} {{ log.affectedUser.patronymic }}</p>
          <p>{{ log.affectedUser.email }}</p>
          <p>{{ log.affectedUser.role.name | uppercase }}</p>
        </td>
      </ng-container>

      <ng-container matColumnDef="request">
        <th mat-header-cell *matHeaderCellDef> {{ 'request' | transloco }} </th>
        <td mat-cell *matCellDef="let log">
          <p *ngIf="log.request">
            №{{ log.request?.id }} {{ log.request?.operationType | uppercase }}, {{ log.request?.date }}
          </p>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="columnsToDisplay"></tr>
      <tr mat-row *matRowDef="let row; columns: columnsToDisplay;"></tr>
    </table>
  </ng-container>
  <ng-template #notFound>
    <p>{{
      'not_found' | transloco
      }}</p>
  </ng-template>
</ng-container>

<ng-container *ngIf="logsTotalCount$ | async; let totalCount">
  <mat-paginator
    [length]="totalCount"
    [pageSize]="10"
    [pageSizeOptions]="[5, 10, 25, 100]"
    (page)="onPageSelected($event)">
  </mat-paginator>
</ng-container>

<ng-template #loader>
  <app-loader></app-loader>
</ng-template>
